### Hierarchy

- ScrollPolicyOptions

## Index

### Properties

- fetchSize
- maxCount
- scroller
- scrollerOffsetBottom
- scrollerOffsetEnd
- scrollerOffsetStart
- scrollerOffsetTop

## Properties

### fetchSize

fetchSize: number

The number of data rows to fetch in each block.

### maxCount

maxCount: number

The maximum number of rows to display before fetching more data rows will be stopped.

### scroller

scroller: string

The CSS selector string to an element used to determine the scroll position as well as the maximum scroll position. See the Help documentation for more information.

### scrollerOffsetBottom

scrollerOffsetBottom: number

The bottom offset value (in pixels) used for the Table's external scroller. This value is used to specify the location where the Table's footer region becomes 'sticky' when the 'scroller' attribute is specified.

### scrollerOffsetEnd

scrollerOffsetEnd: number

The end offset value (in pixels) used for the Table's external scroller. This value is used to specify the location where the Table's frozen 'end' columns (or frozen 'start' columns in RTL) become 'sticky' when the 'scroller' attribute is specified.

### scrollerOffsetStart

scrollerOffsetStart: number

The start offset value (in pixels) used for the Table's external scroller. This value is used to specify the location where the Table's frozen 'start' columns (or frozen 'end' columns in RTL) become 'sticky' when the 'scroller' attribute is specified.

### scrollerOffsetTop

scrollerOffsetTop: number

The top offset value (in pixels) used for the Table's external scroller. This value is used to specify the location where the Table's header region becomes 'sticky' when the 'scroller' attribute is specified.

Generated using TypeDoc